# $Revision: 1.23 $, $Date: 2004/09/25 15:47:29 $
Summary:	kdiff3 - Graphical tool for merging two or three files or directories
Summary(pl):	kdiff3 - Graficzne narzdzie do czenia zawartoci wielu plikw lub katalogw
Name:		kdiff3
Version:	0.9.86
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kdiff3/%{name}-%{version}.tar.gz
# Source0-md5:	bf71264c2d430b74f7dadc89cdb4013e
Patch0:		%{name}-am.patch
Patch1:		%{name}-desktop.patch
URL:		http://kdiff3.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	unsermake >= 040511
Requires:	diffutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDiff3 is program able to compares two or three text input files,
shows the differences line by line and character by character (!),
provides an automatic merge-facility and an integrated editor for
comfortable solving of merge-conflicts and has an intuitive graphical
user interface,and it can also compare and merge directories!

%description -l pl
KDiff3 jest programem zdolnym do porwnywania zawartoci dwch lub
trzech plikw, wskazywania rnic linia po linii i znak po znaku, daje
automatyczne moliwoci czenia zawartoci plikw oraz zintegrowany
edytor do wygodnego rozwizywanie konfliktw powstaych podczas
czenia zawartoci. Posiada intuicyjny graficzny interfejs
uytkownika i moe porwnywa i czy zawarto katalogw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's,\$(TOPSUBDIRS),doc po src,' Makefile.am

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f Makefile.cvs

%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	top_src_shelldesktopdir=%{_desktopdir}/kde

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/kdiff3
%{_datadir}/apps/kdiff3part
%{_datadir}/services/kdiff3part.desktop
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdiff3.spec,v $
Revision 1.23  2004/09/25 15:47:29  undefine
- pack only manpages, not empty dir
- release 5

Revision 1.22  2004/08/21 20:02:38  ankry
- rel. 4 to rebuild

Revision 1.21  2004/07/24 15:15:21  ankry
- removed bogus sr@Latn translation from desktop, rel. 3

Revision 1.20  2004/07/20 09:28:54  qboosh
- added desktop patch instead of broken echo
- dropped unsupported locolor icons, release 2

Revision 1.19  2004/06/26 18:40:58  djurban
- adapterized

Revision 1.18  2004/06/26 18:40:16  djurban
- updated to 0.9.86

Revision 1.17  2004/05/13 20:31:33  ankry
- spaces -> tabs, other cosmetics

Revision 1.16  2004/03/25 14:42:45  matkor
- Release 2. File fixes.

Revision 1.15  2004/03/09 15:19:28  matkor
- Version 0.9.83-1. Removed types patch - code seems to be rewritten.

Revision 1.14  2004/01/11 20:31:59  matkor
- Version 0.9.81.

Revision 1.13  2004/01/09 12:50:07  jajcus
- Release: 3
- AMD64 fixes

Revision 1.12  2004/01/07 18:23:04  qboosh
- added types patch (needed for 64-bit archs), missing dir, attr for *.so
- icon themes moved to iconsdir; release 2

Revision 1.11  2004/01/07 16:13:02  matkor
- Ver. 0.9.80-1.

Revision 1.10  2003/09/01 20:43:11  blues
- release 3 - matkor! Remember to sync HEAD with RA-branch (in your case ;))

Revision 1.9  2003/09/01 07:31:43  blues
- fixed requires (diffutils, not diff3)

Revision 1.8  2003/08/29 10:28:22  matkor
- Merged 0.9.61-2 from Ra-branch. Untested.

Revision 1.1.2.10  2003/08/29 10:24:25  matkor
- Release 2. Missing R: diff3.

Revision 1.1.2.9  2003/07/15 22:03:00  blues
- BR proper autoconf

Revision 1.1.2.8  2003/07/15 20:18:38  blues
- cosmetics

Revision 1.1.2.7  2003/07/15 09:19:21  matkor
- Version 0.9.61. Release 1. STBR for Ra.

Revision 1.1.2.6  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.1.2.5  2003/06/06 23:41:20  matkor
- Version 0.9.60

Revision 1.1.2.4  2003/04/15 08:23:15  matkor
- Version 0.9.51.

Revision 1.1.2.3  2003/02/11 12:38:13  qboosh
- fixed doc perms, added missing dir, standarized Source0 URL

Revision 1.1.2.2  2003/02/11 12:35:47  matkor
 - 'typo' ,) pointed out by pascalek.

Revision 1.1.2.1  2003/02/11 12:05:31  matkor
- Place .desktop and ready for Ra IMHO.

Revision 1.1  2003/02/11 11:26:06  matkor
- Totally unfinished for AC. Just to make RA-branch.
